VERSION 5.00
Begin VB.Form EnvForm 
   Caption         =   "p4 Environment"
   ClientHeight    =   4785
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7485
   LinkTopic       =   "Form1"
   ScaleHeight     =   4785
   ScaleWidth      =   7485
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdUpdate 
      Caption         =   "&Update"
      Height          =   495
      Left            =   2400
      TabIndex        =   17
      Top             =   4200
      Width           =   1455
   End
   Begin VB.TextBox txtUser 
      Height          =   375
      Left            =   1440
      TabIndex        =   9
      Top             =   3600
      Width           =   4335
   End
   Begin VB.TextBox txtPassword 
      Height          =   375
      Left            =   1440
      TabIndex        =   8
      Top             =   3120
      Width           =   4335
   End
   Begin VB.TextBox txtLanguage 
      Height          =   375
      Left            =   1440
      TabIndex        =   7
      Top             =   2640
      Width           =   4335
   End
   Begin VB.TextBox txtHost 
      Height          =   375
      Left            =   1440
      TabIndex        =   6
      Top             =   2160
      Width           =   4335
   End
   Begin VB.TextBox txtCwd 
      Height          =   375
      Left            =   1440
      TabIndex        =   5
      Top             =   1680
      Width           =   4335
   End
   Begin VB.TextBox txtCharset 
      Height          =   375
      Left            =   1440
      TabIndex        =   4
      Top             =   1200
      Width           =   4335
   End
   Begin VB.TextBox txtClient 
      Height          =   375
      Left            =   1440
      TabIndex        =   3
      Top             =   720
      Width           =   4335
   End
   Begin VB.TextBox txtPort 
      Height          =   375
      Left            =   1440
      TabIndex        =   1
      Top             =   240
      Width           =   4335
   End
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "Close"
      Default         =   -1  'True
      Height          =   495
      Left            =   4080
      TabIndex        =   0
      Top             =   4200
      Width           =   1455
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "User:"
      Height          =   375
      Index           =   7
      Left            =   360
      TabIndex        =   16
      Top             =   3600
      Width           =   975
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Password:"
      Height          =   375
      Index           =   6
      Left            =   360
      TabIndex        =   15
      Top             =   3120
      Width           =   975
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Language:"
      Height          =   375
      Index           =   5
      Left            =   360
      TabIndex        =   14
      Top             =   2640
      Width           =   975
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Host:"
      Height          =   375
      Index           =   4
      Left            =   360
      TabIndex        =   13
      Top             =   2160
      Width           =   975
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Cwd:"
      Height          =   375
      Index           =   3
      Left            =   360
      TabIndex        =   12
      Top             =   1680
      Width           =   975
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Charset:"
      Height          =   375
      Index           =   2
      Left            =   360
      TabIndex        =   11
      Top             =   1200
      Width           =   975
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Client:"
      Height          =   375
      Index           =   1
      Left            =   360
      TabIndex        =   10
      Top             =   720
      Width           =   975
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Port:"
      Height          =   375
      Index           =   0
      Left            =   360
      TabIndex        =   2
      Top             =   240
      Width           =   975
   End
End
Attribute VB_Name = "EnvForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*******************************************************************************
'
' Copyright (c) 2003, Robert Cowham and Vaccaperna Systems Ltd.  All rights reserved.
'
' Redistribution and use in source and binary forms, with or without
' modification, are permitted provided that the following conditions are met:
'
' 1.  Redistributions of source code must retain the above copyright
'     notice, this list of conditions and the following disclaimer.
'
' 2.  Redistributions in binary form must reproduce the above copyright
'     notice, this list of conditions and the following disclaimer in the
'     documentation and/or other materials provided with the distribution.
'
' THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
' IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
' ARE DISCLAIMED. IN NO EVENT SHALL VACCAPERNA SYSTEMS LTD. BE LIABLE FOR ANY
' DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
' (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
' LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
' ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
' (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
' SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
'
' *******************************************************************************
'
' Name:     EnvForm.frm
'
' Author:   Robert Cowham <robert@vaccaperna.co.uk>
'
' Description:
'   Show and update environment.
'   No error handling!
' ******************************************************************************

Dim m_p4 As P4COMLib.p4

Public Sub ShowEnv(p As P4COMLib.p4)
    Set m_p4 = p
    
    txtCharset.Text = m_p4.Charset
    txtClient.Text = m_p4.Client
    txtCwd.Text = m_p4.Cwd
    txtHost.Text = m_p4.Host
    txtLanguage.Text = m_p4.Language
    txtPassword.Text = m_p4.Password
    txtPort.Text = m_p4.Port
    txtUser.Text = m_p4.User
    
    Me.Show vbModal
End Sub

Private Sub cmdClose_Click()
    Unload Me
End Sub

Private Sub cmdUpdate_Click()

    m_p4.Charset = txtCharset.Text
    m_p4.Client = txtClient.Text
    m_p4.Cwd = txtCwd.Text
    m_p4.Host = txtHost.Text
    m_p4.Language = txtLanguage.Text
    m_p4.Password = txtPassword.Text
    m_p4.Port = txtPort.Text
    m_p4.User = txtUser.Text
    Unload Me
End Sub
